Subject: Re: co285

From: Gaixia Zhang <[email-masked]>
Date: Wed, 01 Sep 1999 18:35:20 -0500

Hi,

Thank you very much for your help. After Disable discardable sections, I

can get rid of that problem. But I got another error message:

     nfs_read_super: get root fattr failed

I removed knfsd and use
     nfs-server-2.2beta37-1.i386.rpm
     nfs-server-clients-2.2beta37-1.i386.rpm

The syslog on the host says /arm has been mounted by the target
     Sep  1 17:10:18 james kernel: PCIMSG network driver started
     Sep  1 17:10:18 james kernel: 21285(0): started
     Sep  1 17:10:20 james mountd[466]: NFS mount of /arm attempted from
192.168.3.2
     Sep  1 17:10:20 james mountd[466]: /arm has been mounted by
192.168.3.2

I also tried to mount /arm from another Linux PC, and I can do read and
write correctly,

More info with NFSROOT_DEBUG on is enclosed,

     Root-NFS: Mounting /arm on server 192.168.3.1 as root
     Root-NFS:     rsize = 4096, wsize = 4096, timeo = 7, retrans = 3
     Root-NFS:     acreg (min,max) = (3,60), acdir (min,max) = (30,60)
     Root-NFS:     nfsd port = -1, mountd port = 0, flags = 00000200
     Looking up port of RPC 100003/2 on 192.168.3.1
     RPC:    0 sync task resuming
     RPC:    0 exit() = 0
     Root-NFS: Portmapper on server returned 2049 as nfsd port
     Looking up port of RPC 100005/1 on 192.168.3.1
     Root-NFS: mountd port is 643
     NFS:      nfs_mount(c0a80301:/arm)
     nfs_read_super: get root fattr failed
     VFS: Unable to mount root fs via NFS, trying floppy.
     VFS: Cannot open root device 02:00
     Kernel panic: VFS: Unable to mount root fs on 02:00

Thanks again,
Gaixia Zhang

________________________________________________________
NetZero - We believe in a FREE Internet.  Shouldn't you?
Get your FREE Internet Access and Email at
http://www.netzero.net/download/index.html
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]